#include<bits/stdc++.h>
using namespace std;
int main(){
	int n,k;
	cin>>n>>k;
	int a[n];
	for(int i=0;i<n;i++)cin>>a[i];
	map<int,int> pogodjeno;
	for(int i=0;i<n;i++)pogodjeno[a[i]]++;
	int br=0;
	map<int,int>::iterator it=pogodjeno.begin();
	vector<int> menjanje;
	while(it!=pogodjeno.end()){
		if(it->second>=k){
			br++;
			menjanje.push_back(it->first);
		}
		it++;
	}
	cout<<br<<endl;
	sort(menjanje.begin(),menjanje.end());
	int nm=menjanje.size();
	for(int i=0;i<nm;i++)cout<<menjanje[i]<<" ";
}